<!doctype html>
<html lang="en">
<head>
<title>53-debian-med-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_LOYX8g8MmXx4Cwqx" title="a_LOYX8g8MmXx4Cwqx" style="background-color:#2f011d">Debian Med BoF</span><span class="anonymous" title="anonymous"></span><br><span class="a_LOYX8g8MmXx4Cwqx" title="a_LOYX8g8MmXx4Cwqx" style="background-color:#2f011d"></span><br><span class="a_3IPoJKTRS7PC1fLY" title="a_3IPoJKTRS7PC1fLY" style="background-color:#532195">Jitsi link: https://jitsi.dc21.debconf.org/53-debian-med-bof-yBohrd3L1bn1shrv</span><span class="a_v7dhcSQSxe7oOkQM" title="a_v7dhcSQSxe7oOkQM" style="background-color:#7521d1"></span><br><span class="a_v7dhcSQSxe7oOkQM" title="a_v7dhcSQSxe7oOkQM" style="background-color:#7521d1"></span><br><span class="a_v7dhcSQSxe7oOkQM" title="a_v7dhcSQSxe7oOkQM" style="background-color:#7521d1">Q: How did you work around the Freeze while working with packaging of software related to COVID-19 research (where timing is essential)?</span><br><span class="a_v7dhcSQSxe7oOkQM" title="a_v7dhcSQSxe7oOkQM" style="background-color:#7521d1"></span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">(I frequently build packages and deploy them on my own systems before the packages meets all the requirements for upload to ftp-master)</span><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">Spreadsheet with categorisation of Debian Med bioinformatic workflows</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"> https://docs.google.com/spreadsheets/d/1tApLhVqxRZ2VOuMH_aPUgFENQJfbLlB_PFH_Ah_q7hM/edit#gid=345223064</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">Task med-bio with prospective packages:</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">    https://blends.debian.org/med/tasks/bio#new-debs</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">Psychology task</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">   https://blends.debian.org/med/tasks/psychology</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">   https://blends.debian.org/med/bugs/psychology.html</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">for igv</span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">  there have been times where it doesn't even load i've wished for an autopkgtest that tries to launch igv with a headless x server, would that make sense to do. (good idea, but igv needs to make it into main first)</span><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">     autopkgtest makes sense for sure - but autopkgtests are run only run for packages in main</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">     Pierre is working on getting it into main</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">     </span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">List of packages in need of an autopkgtest sorted by popcon:</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">     https://salsa.debian.org/med-team/community/helper-scripts/-/blob/master/debian-med-tests.txt</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">    </span><span class="a_LOYX8g8MmXx4Cwqx" title="a_LOYX8g8MmXx4Cwqx" style="background-color:#2f011d"></span><br><span class="a_LOYX8g8MmXx4Cwqx" title="a_LOYX8g8MmXx4Cwqx" style="background-color:#2f011d"><cts[m]> Do you have a good tutorial for writing tests?</span><br><span class="a_CCrk9XfP88XZUisQ" title="a_CCrk9XfP88XZUisQ" style="background-color:#17f38b">/usr/share/doc/autopkgtest/README.package-tests.rst.gz and then look for debian/tests/control examples</span><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">Diane recommended</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">   /usr/share/doc/autopkgtest/README.package-tests.rst.gz</span><br><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313">Nilesh</span><span class="a_Nh3m5ItBrxjsJeSR" title="a_Nh3m5ItBrxjsJeSR" style="background-color:#09c9cd"></span><br><span class="a_Nh3m5ItBrxjsJeSR" title="a_Nh3m5ItBrxjsJeSR" style="background-color:#09c9cd">https://salsa.debian.org/med-team/community/work-over-summer-and-beyond/-/wikis/GSoC-and-Outreachy-Project-Proposal:-Quality-Assurance-and-Continuous-integration-for-applications-in-life-sciences-and-medicine</span><span class="a_5GFTIT6XY5EHiLmX" title="a_5GFTIT6XY5EHiLmX" style="background-color:#347313"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
